<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDailyQualityBagInspectionDataHeadersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('qc_daily_quality_bag_inspection_data_headers', function (Blueprint $table) {
            $table->id('dq_bag_inspection_id');
            $table->integer('user_id');
            $table->string('reference_no');
            $table->date('date');
            $table->integer('customer_order_plan_data_id');
            $table->integer('product_primary_id');
            $table->integer('factory');
            $table->integer('shift');
            $table->string('size_of_product');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('qc_daily_quality_bag_inspection_data_headers');
    }
}
